ScalaTest Plugin for 2.1 Milestone for Scala 2.10.0-RC1

Showing 1-4 of 6 messages
ScalaTest Plugin for 2.1 Milestone for Scala 2.10.0-RC1 Chee Seng Chua 10/24/12 2:32 AM
Hi all, 

I just notice today that the ecosystem is removed from the scala-ide.org, and I tried the new milestone sites and found out only indigo 2.9 is working with ScalaTest plugin.  I have uploaded new update sites that should work for the other 3:-

-this is already working

I think removing ecosystem site and merge the plugins in the milestone site is a good move to remove confusion, hope that it could be updated to work fully with ScalaTest plugin soon.

Thanks!

Best Regards, 
Chee Seng
Re: ScalaTest Plugin for 2.1 Milestone for Scala 2.10.0-RC1 Luc Bourlier 10/24/12 12:31 PM
It is just that you cannot browse them. The sites are working fine if you use them in 'Install New Software...' dialog.

Luc

Le mercredi 24 octobre 2012 16:21:57 UTC+2, Eric Le Blouc'h a écrit :
Hi,

Thanks for mentioning it. I am currently faced with this problem and I am glad you are giving a solution. Unfortunately, the links on the artima.com respond with a 404 error.

Do I have to wait some time for the resources to show up on the site ?

Thank you.
Eric
Re: [scala-ide-dev] Re: ScalaTest Plugin for 2.1 Milestone for Scala 2.10.0-RC1 Eric Le Blouc'h 10/25/12 6:43 AM
Indeed, they work fine when used correctly. Thank you.

Eric
2012/10/24 Luc Bourlier <luc.bo...@typesafe.com>

Re: [scala-ide-dev] Re: ScalaTest Plugin for 2.1 Milestone for Scala 2.10.0-RC1 Chee Seng Chua 11/3/12 7:23 PM
Hi ab, 

Luc has redeployed the milestone update site, which you can choose to install ScalaTest plugin when you install Scala IDE, may be you can give that a try?  Anyway for nightly build you probably need to build from source though, since ecosystem now works only with stable, milestone or RC release because of the strict version requirement.  I'll revise the README.rst's build instruction to make sure it works with the latest nightly build.

Thanks.

Chee Seng


On Friday, 2 November 2012 09:24:32 UTC+8, ab wrote:
Chee:

Just wanted to mention I am getting:  

  Missing requirement: ScalaTest Plugin 0.9.3 (org.scala-ide.sdt.scalatest 0.9.3) requires 'bundle org.eclipse.jdt.core [3.6.0,3.7.10)' but it could not be found

.. .with nightly Scala IDE 2.1 for Juno with updates from